package com.ruoyi.tc.service.impl;

import com.ruoyi.tc.entity.AssetLc;

import com.ruoyi.tc.entity.request.AssetLcRequest;
import com.ruoyi.tc.mapper.AssetLcMapper;
import com.ruoyi.tc.service.AssetLcService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import javax.annotation.Resource;
import java.util.List;
/**
 * 任务流程(AssetLc)表服务实现类
 *
 * @author makejava
 * @since 2024-11-18 14:46:40
 */
@Service("assetLcService")
public class AssetLcServiceImpl implements AssetLcService {
    @Resource
    private AssetLcMapper assetLcDao;



    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public AssetLc queryById(Integer id) {
        return this.assetLcDao.queryById(id);
    }

    /**
     * 查询
     *
     * @param
     * @param pageRequest     对象
     * @return 查询结果
     */
    @Override
    public List<AssetLc> queryByPage( AssetLcRequest pageRequest) {
        return assetLcDao.queryByPage( pageRequest);

    }

    /**
     * 新增数据
     *
     * @param assetLc 实例对象
     * @return 实例对象
     */
    @Override
    public AssetLc insert(AssetLc assetLc) {
        this.assetLcDao.insert(assetLc);
        return assetLc;
    }

    /**
     * 修改数据
     *
     * @param assetLc 实例对象
     * @return 实例对象
     */
    @Override
    public AssetLc update(AssetLc assetLc) {
        this.assetLcDao.update(assetLc);
        return this.queryById(assetLc.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer id) {
        return this.assetLcDao.deleteById(id) > 0;
    }
}
